<template>
  <div class="mb-1 flex justify-end">
    <span
      v-if="modelValue === 'done'"
      class="badge badge--green"
    >Connected</span>
    <div
      v-else-if="modelValue === 'error'"
      class="text-red-500 flex items-center text-sm"
    >
      <i class="ri-error-warning-line mr-1" /> Failed to connect
    </div>
    <div
      v-else-if="modelValue === 'no-data'"
      class="text-red-500 flex items-center text-sm"
    >
      <i class="ri-error-warning-line mr-1" /> Not receiving activities
    </div>
    <div
      v-else-if="modelValue === 'pending-action'"
      class="text-yellow-600 flex items-center text-sm"
    >
      <i class="ri-alert-line mr-1" /> Action required
    </div>
    <div
      v-else-if="modelValue === 'waiting-approval'"
      class="text-gray-500 flex items-center text-sm"
    >
      <i class="ri-time-line mr-1" /> Waiting for approval
    </div>
    <div
      v-else-if="modelValue === 'needs-reconnect'"
      class="text-yellow-600 flex items-center text-sm"
    >
      <i class="ri-alert-line mr-1" /> Needs to be reconnected
    </div>
    <div
      v-else-if="!!modelValue"
      class="flex items-center"
    >
      <div
        v-loading="true"
        class="app-page-spinner !relative h-4 !w-4 mr-2 !min-h-fit"
      />

      <span class="text-xs text-gray-900 mr-2">In progress</span>
      <el-tooltip
        content="Fetching first activities from an integration might take a few minutes"
        placement="top"
      >
        <i class="ri-question-line text-gray-400" />
      </el-tooltip>
    </div>
  </div>
</template>

<script setup>

defineProps({
  modelValue: {
    type: String,
    default: '',
  },
});
</script>

<script>
export default {
  name: 'AppIntegrationStatus',
};
</script>
